// Copyright(c) 1997 ObjectSpace, Inc.

package COM.objectspace.jgl.functions;

import COM.objectspace.jgl.*;

/**
 * IdentityFunction is a unary function that returns its operand.
 * <p>
 * @see COM.objectspace.jgl.UnaryFunction
 * @version 3.0.0
 * @author ObjectSpace, Inc.
 */

public class IdentityFunction implements UnaryFunction
  {
  /**
   * Return the operand.
   * @param object The operand.
   * @return The operand.
   */
  public Object execute( Object object )
    {
    return object;
    }

  static final long serialVersionUID = 4194043794604382425L;
  }
